<?xml version="1.0"?>
<project
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd"
	xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>com.hotent</groupId>
		<artifactId>eip</artifactId>
		<version>8.0.7</version>
	</parent>
	<artifactId>assembly</artifactId>
	<name>assembly</name>
	<!--打war包时改为war-->
	<packaging>jar</packaging>
	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<maven.deploy.skip>true</maven.deploy.skip><!-- 不上传此jar包 -->
	</properties>
	<dependencies>
		<!-- Spring boot 测试 -->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
		    <groupId>org.springframework</groupId>
		    <artifactId>spring-test</artifactId>
		</dependency>
		<dependency>
			<groupId>com.hotent</groupId>
			<artifactId>uc</artifactId>
			<version>${parent.version}</version>
			<exclusions>
				<exclusion>
					<groupId>com.hotent</groupId>
					<artifactId>rest-auth-service</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>com.hotent</groupId>
			<artifactId>portal</artifactId>
			<version>${parent.version}</version>
		</dependency>
		<dependency>
			<groupId>com.hotent</groupId>
			<artifactId>form</artifactId>
			<version>${parent.version}</version>
			<exclusions>
				<exclusion>
					<groupId>com.hotent</groupId>
					<artifactId>rest-auth-service</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>com.hotent</groupId>
			<artifactId>bpm-model</artifactId>
			<version>${parent.version}</version>
			<exclusions>
				<exclusion>
					<groupId>com.hotent</groupId>
					<artifactId>rest-auth-service</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>com.hotent</groupId>
			<artifactId>assistMg</artifactId>
			<version>${parent.version}</version>
			<exclusions>
				<exclusion>
					<groupId>com.hotent</groupId>
					<artifactId>rest-auth-service</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>com.hotent</groupId>
			<artifactId>bpm-runtime</artifactId>
			<version>${parent.version}</version>
			<exclusions>
				<exclusion>
					<groupId>com.hotent</groupId>
					<artifactId>rest-auth-service</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
        <dependency>
            <groupId>com.hotent</groupId>
            <artifactId>auth-server</artifactId>
            <version>${parent.version}</version>
        </dependency>
<!--		<dependency>-->
<!--			<groupId>com.hotent</groupId>-->
<!--			<artifactId>base</artifactId>-->
<!--			<version>${parent.version}</version>-->
<!--			<exclusions>-->
<!--				&lt;!&ndash;  可以使用eureka 注册中心 或者 nacos &ndash;&gt;-->
<!--&lt;!&ndash;				<exclusion>&ndash;&gt;-->
<!--&lt;!&ndash;					<groupId>org.springframework.cloud</groupId>&ndash;&gt;-->
<!--&lt;!&ndash;					<artifactId>spring-cloud-starter-netflix-eureka-client</artifactId>&ndash;&gt;-->
<!--&lt;!&ndash;				</exclusion>&ndash;&gt;-->
<!--				<exclusion>-->
<!--					<groupId>com.alibaba.cloud</groupId>-->
<!--		    		<artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>-->
<!--				</exclusion>-->
<!--				<exclusion>-->
<!--					<groupId>org.springframework.cloud</groupId>-->
<!--					<artifactId>-->
<!--						spring-cloud-starter-netflix-hystrix-->
<!--					</artifactId>-->
<!--				</exclusion>-->
<!--				<exclusion>-->
<!--					<groupId>org.springframework.cloud</groupId>-->
<!--					<artifactId>-->
<!--						spring-cloud-starter-netflix-hystrix-dashboard-->
<!--					</artifactId>-->
<!--				</exclusion>-->
<!--				<exclusion>-->
<!--					<groupId>com.alibaba.cloud</groupId>-->
<!--		    		<artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>-->
<!--				</exclusion>-->
<!--			</exclusions>-->
<!--		</dependency>-->

		<dependency>
			<groupId>com.hotent</groupId>
			<artifactId>api-server</artifactId>
			<version>${parent.version}</version>
		</dependency>


<!--		<dependency>-->
<!--			<groupId>com.hotent</groupId>-->
<!--			<artifactId>sign</artifactId>-->
<!--			<version>${parent.version}</version>-->
<!--		</dependency>-->
	</dependencies>

	<!-- 生成fatjar的命令 -->
	<build>
		<finalName>eip</finalName>
		<plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-resources-plugin</artifactId>
                <version>2.7</version>
                <dependencies>
                    <dependency>
                        <groupId>org.apache.maven.shared</groupId>
                        <artifactId>maven-filtering</artifactId>
                        <version>1.3</version>
                    </dependency>
                </dependencies>
                <configuration>
                    <nonFilteredFileExtensions>
                        <nonFilteredFileExtension>bpmn</nonFilteredFileExtension>
                        <nonFilteredFileExtension>ttf</nonFilteredFileExtension>
                    </nonFilteredFileExtensions>
                    <delimiters>
                        <delimiter>@@</delimiter>
                    </delimiters>
                    <useDefaultDelimiters>false</useDefaultDelimiters>
                </configuration>
            </plugin>
			<!-- 用于生成jar文件，打war包时需要屏蔽 -->
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
				<version>${spring.boot.version}</version>
				<configuration>
					<mainClass>com.hotent.assembly.Application</mainClass>
					<layout>JAR</layout>
				</configuration>
				<executions>
					<execution>
						<goals>
							<goal>repackage</goal>
						</goals>
						<configuration>
							<attach>false</attach>
							<classifier>boot</classifier>
							<includeSystemScope>true</includeSystemScope>
						</configuration>
					</execution>
				</executions>
			</plugin>
			<!-- 用于生成war包文件 -->
			<plugin>
				<artifactId>maven-war-plugin</artifactId>
				<version>3.2.0</version>
				<configuration>
					<failOnMissingWebXml>false</failOnMissingWebXml>
				</configuration>
			</plugin>
		</plugins>
	</build>
</project>
